REGDIFF(1)

NAME
regdiff - Diff program for Windows registry files

SYNOPSIS

regdiff [--help] [--backend=BACKEND] [--credentials=CREDENTIALS] [location]

DESCRIPTION

regdiff compares two Windows registry files key by key and value by value and generates a text file that contains the differences between the two files.

A file generated by regdiff can later be applied to a registry file by the regpatch utility.

regdiff and regpatch use the same file format as the regedit32.exe utility from Windows.

OPTIONS

--help
    Show list of available options.

--backend BACKEND
    Name of backend to load. Possible values are: creg, regf, dir and rpc. The default is dir. This argument can be specified twice: once for the first registry file and once for the second.

--credentials=CREDENTIALS
    Credentials to use, if any. Password should be separated from user name by a percent sign. This argument can be specified twice: once for the first registry file and once for the second.

VERSION

This man page is correct for version 4.0 of the Samba suite.

SEE ALSO

gregedit, regshell, regpatch, regtree, samba, patch, diff

AUTHOR

This utility is part of the Samba: http://www.samba.org/ suite, which is developed by the global Samba Team: http://www.samba.org/samba/team/.

This manpage and regdiff were written by Jelmer Vernooij.